Subject: Re: Handling expensive packages

From: Skyler Ferris <[email-masked]>
Date: Wed, 13 Mar 2024 00:15:20 +0000

On 3/12/24 13:45, Peter Polidoro wrote:

> If I remember correctly, that was a patch I submitted a couple of years ago when I was attempting to package some embedded software tools, either the zephyr west tool or platformio, both written in python. That sent me down the rabbit hole of dependency updates, the python-mock package being one of them.
>
> I would still love to have both west and platformio packaged in guix. Perhaps those exist now in Guix or another channel, I have not checked in a while. If not, I will attempt to package them again at some point.

Thank you for the information. I see that west is packaged in gnu/packages/embedded.scm, but the only reference to platformio is an emacs plugin which I suspect is not what you are referring to. So it sounds like there is no particular reason to process this patch immediately but it makes sense to leave open because it might be used down the line.